var jq = jQuery.noConflict();
jq(document).ready(function(){
		
	// highlight li
	jq(".highlight > li:odd").addClass("odd");
	jq(".highlight > li:even").addClass("even");
	jq(".highlight > li").hover(function(){
		jq(this).addClass("active");
	},function(){
		jq(this).removeClass("active");
	});	
			
	// his-tip-show
	jq(".his-tip-show").hover(function(){
		jq(this).hide();
		jq(".looked-box").show();
	},function(){		
	});
	
	jq(".looked-box").hover(function(){		
	},function(){
		jq(this).hide();
		jq(".his-tip-show").show();
	});
	
	jq(".close-his").click(function(){
		jq(".his-tip-show").show();
		jq(".looked-box").hide();
	});
	
	// show-tipinfo
	jq(".show-tipinfo a").hover(function(){
		jq(this).parent().parent().find(".tipInfo").show();
	},function(){		
		jq(this).parent().parent().find(".tipInfo").hide();
	});	
	
	jq("#wish").trigger('click');
	
	// Input Value Clear
	jq(".input-clear").focus(function(){
		var $text = jq(this).val();
		if ($text == this.defaultValue){
			jq(this).val("");
			jq(this).css("color","#333");
		}
	}).blur(function(){
		var $text = jq(this).val();
		if ($text == ""){
			jq(this).val(this.defaultValue);
			jq(this).css("color","#666");
		}		
	});
	// Input Text Focus
	jq(".ui-input").focus(function(){
		jq(this).parent().addClass("ui-form-field-active");
	}).hover(function(){
		jq(this).parent().addClass("ui-form-field-hover");
	},function(){
		jq(this).parent().removeClass("ui-form-field-hover");
	});
	jq(".ui-input").blur(function(){
		jq(this).parent().removeClass("ui-form-field-active");
	});	
	// Input Button Hover
	jq(".ui-button").hover(function(){
		jq(this).addClass("ui-button-active");
	},function(){
		jq(this).removeClass("ui-button-active");
	});
	
	// play-pic Hover
	jq(".play-pic").hover(function(){
		jq(this).find("span.play-icon").show();
	},function(){
		jq(this).find("span.play-icon").hide();
	});
		
	// Baby Time Step A Tips
	jq(".play-mode-list").each(function(j,div){
		jq(div).find('a').each(function(i,e){
			var $title = jq(this).attr("title");
			
			jq(this).hover(function(){								
				var left = jq(this).offset().left + 3;
				var top = jq(this).offset().top - 28;
				var $appendbox = jq(this).parent().parent(".play-mode-list");
				jq('<div></div>').addClass('play-mode-tip').css({'left':left+'px','top':top+'px'})
				.html($title).appendTo($appendbox);	

				this.myTitle=this.title;
				this.title="";
								
			},function(){
				this.title=this.myTitle;	
				jq('.play-mode-tip').remove();
			});
		});
	});
	
	// interest-sect
	jq(".user-bt").each(function(){	
		var $btn = jq(this).find(".sect-btn");
		var $cancel = jq(this).find(".cancel");
		var $div =jq(this).find(".sect-show");
		$btn.click(function(){	
			jq.showfloatdiv({txt:'数据提交中...',cssname:'loading'});
			var curobj=jq(this);
			jq.get(
			 $btn.attr('data')+Id,function(r){
			 try{
			 r=eval('('+r+')');
			 jq.hidediv(r);
			 if(parseInt(r.rcode)>0){
			 curobj.hide();
			 $div.show();
			 $cancel.show();
			 $cancel.attr('val',r['loveid']);
			 }else{
			 if(parseInt(r['yjdy'])>0){
			   if(parseInt(r['yjdy'])==1){
				   curobj.hide(r);
			 $div.show();			
			 $cancel.show();
			 }
			 }else{
			 jq.closefloatdiv(); 
			  jq("#innermsg").trigger('click');
			 }
			 }
			 }catch(e){
			 jq.closefloatdiv();
			 jq("#innermsg").trigger('click');
			 }
			},'html'	
			);
			
		});
		$cancel.click(function(){	
			jq.showfloatdiv({txt:'数据提交中...',cssname:'loading'});
			var lid=$cancel.attr('val');
			jq.get(
			$cancel.attr('data')+lid,function(r){
			 jq.hidediv(r);
			 if(parseInt(r.rcode)>0){
				$btn.show();
			    $div.hide();
			 }
			},'json'	
			);
		});
	});
	
	// Letter Top Button
	jq(".letter-box").each(function(j,div){
		jq(div).find('dd').each(function(i,e){
			jq(e).hover(function(){					
				var $appendbox = jq(this).parent().parent("dl");
				jq('<a href="#top">&nbsp;</a>').addClass('back-top')
				.html(jq("#back-top-txt").text())
				.appendTo(jq(this));
				
				jq(".back-top").click(function(){
					jq('body,html').animate({scrollTop:0},500);
					return false;
				});
			},function(){
				jq('.back-top').remove();				
			});
		});
	});
	
	// Rating Star Jquery
	jq("ul.rating li").each(function(i){
		var $title = jq(this).attr("title");
		var $lis = jq("ul.rating li");
		var num = jq(this).index();
		var n = num+1;
		jq(this).click(function(){
			if(hadpingfen>0){
			jq.showfloatdiv({txt:'已经评分,请务重复评分'});
			jq.hidediv({});
			}else{
			jq.showfloatdiv({txt:'数据提交中...',cssname:'loading'});
			$lis.removeClass("active");												  
			jq("ul.rating li:lt("+n+")").addClass("active");	 
			jq("#ratewords").html($title);
			jq.post('/user-Comm-pingfen',{val:jq(this).attr('val'),'id':Id},function(r){
				if(parseInt(r.rcode)>0){
				jq.hidediv(r);
				hadpingfen=1;
				}else{
					if(parseInt(r.rcode)==-2){
						hadpingfen=1;
						jq.showfloatdiv({txt:'已经评分,请务重复评分'});
			            jq.hidediv({});
					}else{
					jq.closefloatdiv();
					jq("#innermsg").trigger('click');	
					}
					
				}
			},'json');
		}
		}
		).hover(function(){
			this.myTitle=this.title;
			this.title="";
			//jq("ul.rating li:lt("+n+")").addClass("hover");
			jq(this).nextAll().removeClass("active");
			jq(this).prevAll().addClass("active");
			jq(this).addClass("active");
			jq("#ratewords").html($title);
		},function(){
			this.title=this.myTitle;	
			jq("ul.rating li:lt("+n+")").removeClass("hover");
		});	
		
	});
   // rating-panle
	jq(".rating-panle").hover(function(){
		jq(this).find(".rating-show").show();
	},function(){
		jq(this).find(".rating-show").hide();
	});
	
	
	// Detail More & Less
	jq(".detail-intro .detail-more").click(function(){		
		jq(".detail-intro .brief").hide();
		jq(".detail-intro .detail").show();
	});
	jq(".detail-intro .detail-less").click(function(){		
		jq(".detail-intro .brief").show();
		jq(".detail-intro .detail").hide();
	});
	
	// Play Box Toggle
	jq(".play-close a.close").click(function(){
		var $container=jq(this).parents().next(".content");
		var $header=jq(this).parent().parent(".caption");
		if($container.is(":hidden")){
			jq(this).removeClass("open");
			$container.show();
		}
		else{
			jq(this).addClass("open");
			$container.hide();
		}
	});
	
	// Plsy List Page
	jq(".play-lists").each(function(){
		var $plp = jq("<div class='play-page right'></div>");
		var $plpa = jq("<a href='javascript:void(0);' hidefocus='true'><span>&nbsp;</span></a>");
		var $cap = jq(this).parent().parent().find(".caption");
		var $close = jq(this).parent().parent().find(".play-close");
		
		var $len= jq(this).children("a").size();		
		var $num = Math.ceil($len / 60);
		
		$plp.insertAfter($close);
		$plpa.appendTo($plp);
		
		jq(this).parent().parent().find(".txt").html($num);	
	});
	
	// timeinfo
	jq(".timeinfo").hover(function(){
		jq(this).addClass("timeinfo-active");
	},function(){
		jq(this).removeClass("timeinfo-active");
	});	
	
	// Date List Jquery
	jq(".date-list").each(function(){
		$lis = jq(this).find("li:last").index();		
		if($lis > 5){
			jq(this).addClass("date-long");
		}	
	});
	
	// back-to-top
	/*var $back = jq("<div class='back-to-top' id='back-to-top'><a class='png-img' href='javascript:void(0);'>Back to Top</a></div>");
	$back.appendTo(".wrap");

	jq(window).scroll(function(){
		if (jq(window).scrollTop()>100){
			jq(".back-to-top").fadeIn(100);
		}else{
			jq(".back-to-top").fadeOut(100);
		}
	});	
	jq(".back-to-top").click(function(){
		jq('body,html').animate({scrollTop:0},100);
		jq("#detail-nav li.nav-item").removeClass("current");
		return false;
	});*/
	
	// detail-nav Button	
	jq("#detail-nav li.nav-item").click(function(){
		jq("#detail-nav li.nav-item").removeClass("current");
		jq(this).addClass("current");
	});
	
	// ui-tab
	jq(".ui-tab").each(function(){
		var $tabNav = jq(this).find(".ui-tab-nav li");
		var $tabBox = jq(this).find(".ui-tab-item");
		
		jq(this).find(".ui-tab-nav li:first").addClass("current"); ;
		jq(this).find(".ui-tab-item:first").addClass("ui-tab-item-current"); 
		
		$tabNav.mouseover(function(){ 
			var index = jq(this).index();
			$tabBox.eq(index).addClass("ui-tab-item-current")
				   .siblings().removeClass("ui-tab-item-current");
			jq(this).addClass("current")
			       .siblings().removeClass("current"); 
		});
	}); 
	
});

// Tab Menu JS Common
function setTab(name,cursel,n){
	for(i=1;i<=n;i++){
		var menu=document.getElementById(name+i);
		var con=document.getElementById("con_"+name+"_"+i);
		menu.className=i==cursel?"active":"";
		con.style.display=i==cursel?"block":"none";
	}
}
function qrsearch(){
	if(jq("#kw").val()=='请在此处输入影片片名或演员名称。'||jq("#kw").val()==''){
		jq("#kw").val('');
		jq("#kw").focus();
		return false;
	}
}

//直接调用人气数据
function getVideoHit(vid){	
	jq.post("/"+sitePath+"inc/ajax.asp?action=hit&id="+vid,function (obj){														
			var result=obj;
			if(result=="err"){
				set(document.getElementById("hit"),'发生错误');}
			else{				
				set(document.getElementById("hit"),result);}
		}
	);				
}
function set(viewid,v){viewid.innerHTML=v;}

function getNewsHit(nid){	
	jq.post("/"+sitePath+"inc/ajax.asp?action=hitnews&id="+nid,function (obj){														
			var result=obj;
			if(result=="err"){
				set(document.getElementById("hit"),'发生错误');}
			else{				
				set(document.getElementById("hit"),result);}
		}
	);				
}